Bug 499563 - xrandr -s 800x600 --dpi 96 fails on cirrus in kvm
xrandr -s 800x600 --dpi 96 fails on cirrus in kvm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-cirrus (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened, Triaged
: 499543 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-07 04:26 EDT by Jan ONDREJ
Modified: 2013-08-01 14:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:15:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example image with black boxes. (80.87 KB, image/png)
2009-05-07 04:26 EDT, Jan ONDREJ
no flags Details

  None (edit)
Description Jan ONDREJ 2009-05-07 04:26:12 EDT
Created attachment 342794 [details]
Example image with black boxes.

Description of problem:
When installing F11 in new qemu/kvm, there are blank (black) rectangles around. I think this has something with qemu's new feature, which can use bigger resolutions like 800x600. More about this new feature:
  http://fedoraproject.org/wiki/Features/VirtImprovedConsole
Installer is now starting in 1024x768, but anaconda runs still at 800x600, so there are black boxes on my virtual screen. Even if I use virt-manager, virt-viewer or directly using vncviewer.

Version-Release number of selected component (if applicable):
Fedora 11-Preview
qemu-0.10-16.fc11.i586
virt-viewer-0.0.3-4.fc11.i586
virt-manager-0.7.0-4.fc11.1.i386

How reproducible:
always

Steps to Reproduce:
1.try to install F11 in graphics mode in KVM or qemu.
  
Actual results:
see attachment

Expected results:
two choices:
1. anaconda running at 1024x768 and use whole screen
2. switch to 800x600 and run as up to now

Additional info:
Comment 1 Mark McLoughlin 2009-05-07 04:31:17 EDT
It seems pretty clear from this that the guest has a 1024x768 framebuffer but anaconda is occupying only 800x600. Very odd.

Tentatively adding to the blocker list, since it may not be fixable after GA
Comment 2 Mark McLoughlin 2009-05-07 04:33:13 EDT
*** Bug 499543 has been marked as a duplicate of this bug. ***
Comment 3 Jeremy Katz 2009-05-07 09:53:51 EDT
anaconda only ever runs at 800x600 as there are various things in our UI that rely on a fixed layout.  This is on the always "will be looked at someday" list, but never actually gets there.
Comment 4 Mark McLoughlin 2009-05-07 10:08:16 EDT
Could X on the install images be configured to only do 800x600?
Comment 5 Jeremy Katz 2009-05-07 10:23:33 EDT
We actually attempt to do an xrandr, but obviously don't fail if xrandr doesn't work for some reason.  We don't want to run with a config file because that means we're hitting different code paths than the real system

It seems that
    xrandr -s 800x600 --dpi 96
does not work with Cirrus, and so thus it stays at the 1024x768.
Comment 6 Mark McLoughlin 2009-05-07 10:32:05 EDT
Ah, nice. Moving back to F11VirtTarget, then. Optimism ftw.
Comment 7 Bug Zapper 2009-06-09 11:18:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Matěj Cepl 2009-11-05 12:13:07 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Jan ONDREJ 2009-11-09 08:38:53 EST
Same problem with F12-Beta installer. Please leave this bug open.
Comment 10 Bug Zapper 2009-11-16 04:58:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-11-04 07:16:20 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Jan ONDREJ 2010-11-04 09:33:24 EDT
Same problem on f13 and f14.
If nobody can fix this, please close this bug as wontfix.
Comment 13 Cole Robinson 2012-07-08 21:09:43 EDT
Still an issue it seems.

# xrandr -s 800x600 --dpi 96
xrandr: Failed to get size of gamma for output default

That's inside an F17 guest on F17 host.
Comment 14 Fedora End Of Life 2013-07-04 02:40:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-08-01 14:15:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.